from flask_restplus import fields
from pyrest.webservices.timelapse.timelapse import timelapse_api

timelapse_settings = timelapse_api.model('settings', {
    'delay': fields.Integer(required=True, description='The delay to use between the images in the timelapse'),
    'loop': fields.Boolean(required=True, description='Create a looping timelapse')
})

timelapse_model = timelapse_api.model('timelapse', {
    'images': fields.List(fields.String, required=True, description='List of images to be used in the timelapse'),
    'settings': fields.Nested(timelapse_settings,  required=True, description='Settings to be used to create the timelapse')
})
